<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_c69e6552374e0028da2b1bcff" . "2b40629" => base64_decode("T0F1dGgyIGV4Y" . "2VwdGlvbiA="), "_5b9126e" . "f1203ada" . "d78ba3bb" . "44709b43" . "9" => base64_decode("b2F1dGhfdXN" . "lcl9pZA=="), "_70809333a0" . "f254acf7a1a" . "d0c7dadd46b" => base64_decode("Oi" . "A="), "_9dd6622bc2a92" . "6e02c1cb73fbcf" . "9302c" => base64_decode("T0F1dGgyIC0g" . "cmVxdWVzdCBj" . "b250YWlucyB0" . "b2tlbjog"), "_bfca398626e2648b" . "1803e027f7e347de" => base64_decode("T0F1dGgyIGVycm" . "9yOiA="), "_d58d9d29845f0d3d" . "62e53f8e87260f39" => base64_decode("cHNyNy5wc3JfZmFjd" . "G9yeQ=="), "_fc9d7314a9d9958d8fa0a40" . "3ba8ff197" => base64_decode("Z2V0X2NsY" . "XNz"));
use Claromentis\Core\Security\AuthenticatorInterface;
use Claromentis\Core\Security\Exception\BadCredentialsException;
use Claromentis\Core\Security\SessionSecurityContext;
use League\OAuth2\Server\Exception\OAuthServerException;
use Symfony\Bridge\PsrHttpMessage\Factory\DiactorosFactory;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Psr\Log\LoggerInterface;






class OAuth2Authenticator implements AuthenticatorInterface
{
    private $server;
    private $logger;
    public function __construct(ResourceServer $_9892bd107000e49a32f2013f56e71f64, LoggerInterface $logger = null)
    {
        $this->server = $_9892bd107000e49a32f2013f56e71f64;
        $this->logger = $logger;
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Handle(RequestEvent $event, SessionSecurityContext $_a34812c777e8a5777cd0e658b92f0ab2)
    {
        global $g_application;
        try {
            $request = $event->getRequest();
            
            
            $_6eec82564352e2a97cddf7a7b6ad9a41 = $g_application[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d58d9d29845f0d3d62e53f8e87260f3" . "9"]];
            $request = $_6eec82564352e2a97cddf7a7b6ad9a41->createRequest($request);
            $this->server->setRequest($request);
            $_9fafdb4f169d9de8376037b65724825c = $this->server->determineAccessToken(false);
            $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_9dd6622bc2a926e02c1cb73fbcf9" . "302c"] . $_9fafdb4f169d9de8376037b65724825c);
        } catch (OAuthServerException $e) {
            
            
            return;
        }
        try {
            
            
            $request = $this->server->getRequest();
            $user_id = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5b9126ef1203adad78ba3bb447" . "09b439"]);
            $_a34812c777e8a5777cd0e658b92f0ab2->SetUserId($user_id);
        } catch (OAuthServerException $e) {
            throw new BadCredentialsException($e->getMessage(), $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_bfca398626e2648b1803e02" . "7f7e347de"] . $e->getMessage(), $e->getCode(), $e);
        }
    }
    private function HandleException(OAuthException $e)
    {
        if ($e instanceof \League\OAuth2\Server\Exception\InvalidRequestException) {
            throw (new BadCredentialsException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bfca398626e2648b" . "1803e027f7e347de"] . $e->getMessage());
        }
        if ($e instanceof \League\OAuth2\Server\Exception\AccessDeniedException) {
            throw new AccessDeniedException($e->getMessage(), 403, $e);
        }
        if ($e instanceof \League\OAuth2\Server\Exception\InvalidCredentialsException) {
            throw (new BadCredentialsException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bfca398626e2648b1803e02" . "7f7e347de"] . $e->getMessage());
        }
        throw (new AuthenticationException($e->getMessage(), $e->getCode(), $e))->setAuditMessage($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c69e65523" . "74e0028da2" . "b1bcff2b40" . "629"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_fc9d7314a9d9958d8fa0a403ba8f" . "f197"]($e) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_70809333a0f254a" . "cf7a1ad0c7dadd46" . "b"] . $e->getMessage());
    }
}